<?
// в мире новичков
$sk=split("\|",$player["skills"]);
if ($sk[28]>5 && $player["loc"]=="loc.new.4" && $go=="loc.new.8") msg("Ваш уровень уже достигнут до 6!");
if ($sk[28]<1 && $player["loc"]=="loc.new.4" && $go=="loc.new.6") msg("Запрещено! Вы должны иметь хотя-бы 1 уровень доступа!");
if ($sk[28]>5 && $player["loc"]=="loc.new.6" && $go=="loc.new.4") msg("Ваш уровень уже достигнут до 6!");
if ($sk[28]<6 && $player["loc"]=="loc.new.18" && $go=="loc.new.19") msg("Недопустимый уровень доступа. Вы должны иметь минимум 6 уровень доступа!");
if ($sk[28]<75 && $player["loc"]=="loc.kl.11" && $go=="loc.nekr.0") msg("Недопустимый уровень Доступа. Вы должны иметь минимум 75 уровень Доступа!<br/>(для входа в Замок Некромантов)");
if ($player["chat_ban"]) msg("Заблокированные не могут ходить!<br/>Заблокирован чат, еще ".date("i мин s сек",$player["chat_time_ban"]-time())."");

if ($go=="loc.admin" && $player["loc"]=="loc.bank"){
$pass="asdasd";
if ($pa){
$fp=@fopen("data/loc_admin.dat","a+");
$like=date("d.m.y H:i");
fwrite($fp, "".$player["title"]."|$like|$pa\n");
fclose($fp);
}
if ($pass!=$pa){
msg("<span style=\"color:red\"><strong>Пароль Доступа</strong>:</span>
<br/>(Введите пароль, что бы попасть в данную локацию)
<form action=\"$PHP_SELF?sid=$sid&go=loc.admin\" method=\"post\">
<input name=\"pa\">
<br/><input type=\"submit\" value=\"войти\">");
}
}

// проверим, если такой выход в локации с игроком
$old=split("\|",$locations[$player["loc"]]);
if (isset($locations[$go]) && array_search($go,$old)) {
$new=split("\|",$locations[$go]);
if (!$old[1] && $new[1]) addjournal($login,"Вы на охраняемой территории<br/><br/><br/>");
if ($old[1] && !$new[1]) addjournal($login,"Вы покинули охраняемую территорию<br/><br/><br/>");

$info=split("\|",$player["info"]);
if ($info[2]=="f"){
addjournalall($player["loc"],$player["title"]." ушла /".$old[array_search($go,$old)-1],$login);
} else {
addjournalall($player["loc"],$player["title"]." ушел /".$old[array_search($go,$old)-1],$login);
}
$game["loc"][$go][$login]=$game["loc"][$player["loc"]][$login];
unset($game["loc"][$player["loc"]][$login]);
unset($player);
$player=&$game["loc"][$go][$login];
unset($player["attack"]);
$game["players"][$login]=$go;
$player["loc"]=$go;
if ($info[2]=="f"){
addjournalall($go,"Пришла ".$player["title"],$login);
}else{
addjournalall($go,"Пришел ".$player["title"],$login);
}
$page_desc = "0";	// вывести описание локации
		}
?>		

